curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/getAssessmentProgress \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/powerpath/getAssessmentProgress"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/powerpath/getAssessmentProgress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lessonType": "<string>",
"remainingQuestionsPerDifficulty": {
"easy": 123,
"medium": 123,
"hard": 123
},
"score": 123,
"seenQuestions": [
{
"id": "<string>",
"index": 123,
"title": "<string>",
"url": "<string>",
"difficulty": "medium",
"humanApproved": true,
"content": {
"rawXml": "<string>",
"type": "<string>"
},
"response": "<string>",
"responses": {},
"correct": true,
"result": {
"score": 123,
"feedback": "<string>",
"outcomes": {}
},
"resultId": "<string>",
"learningObjectives": [
"<string>"
],
"playerState": "<string>"
}
],
"attempt": 123,
"xp": 123,
"multiplier": 123,
"accuracy": 123,
"correctQuestions": 123,
"totalQuestions": 123,
"testResultId": "<string>"
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Get assessment progress
Returns the progress the student has made in the given PowerPath lesson.
A ‘Lesson’ in this context is a ComponentResource object paired with a Resource object representing an activity.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The sourcedId of the student who is answering the question
The sourcedId of the lesson (ComponentResource)
The attempt number of the lesson that the student is answering
Response
Success
- Option 1
- Option 2
Represents the progress of the student in the PowerPath100 lesson
"powerpath-100"Show child attributes
Show child attributes
The current score for this attempt
Show child attributes
Show child attributes
The attempt number
The XP the student has earned in the lesson
The multiplier for the student's XP
The accuracy of the student's attempted questions
The number of correct questions the student has answered in the lesson
The total number of questions in the lesson
The sourcedId of the parent test AssessmentResult